%define upstream_name    Inline-Filters
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Common source code filters for Inline Modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl-devel
BuildArch: noarch

%description
'Inline::Filters' provides common source code filters to Inline Language
Modules. Unless you're an Inline module developer, you can just read the
next section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.200.0-4.mga9
+ Revision: 1818863
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-3.mga8
+ Revision: 1504839
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-2.mga7
+ Revision: 1284386
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1134114
- update to 0.20

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1028580
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 968280
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 851958
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 745027
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-2.mga5
+ Revision: 685134
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 660488
- update to 0.16

* Wed Jul 23 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 655887
- update to 0.15

* Fri Apr 04 2014 shlomif <shlomif> 0.140.0-1.mga5
+ Revision: 611680
- Missing BR
- imported package perl-Inline-Filters


* Fri Apr 04 2014 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
